### Property

# Gio SimpleProxyResolver:default-proxy

since: 2.0

#### Declaration

    property default-proxy: utf8 [ read, write ]

#### Description

The default proxy URI that will be used for any URI that doesn’t match `GSimpleProxyResolver:ignore-hosts`, and doesn’t match any of the schemes set with g_simple_proxy_resolver_set_uri_proxy().

Note that as a special case, if this URI starts with “socks://”, `GSimpleProxyResolver` will treat it as referring to all three of the socks5, socks4a, and socks4 proxy types.

Type: | `gchar*`
Available since: | 2.0

Default value | NULL
Setter method | `g_simple_proxy_resolver_set_default_proxy()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no